Xfce Forum

Sub domains
 

You are not logged in.

#1 2018-01-25 08:08:32

cookiskin
Member
Registered: 2018-01-24
Posts: 1

Cannot start programs which need a password.

I installed ubuntu 17.10 and installed xfce 4.12.1 on ubuntu.
Everything runs nice and fast in xfce.
If however, in xfce i want to run programs which need a password, like gfuw or synaptic, then i don't get a window to enter a password.
When i start synaptic in a terminal, typing 'synaptic' i get, (synaptic:3595): ibus-warning: the owner of /home/myhome/ .config/ibus/bus is not root. unable to connect to ibus
When i run in a terminal, sudo synaptic, then i have to give the password in the terminal, then it runs.
What can be done to get the proper password window?
TIA.

Offline

#2 2018-01-25 08:57:40

golinux
Member
Registered: 2011-11-19
Posts: 93

Re: Cannot start programs which need a password.

This has been broken for a while.  My solution is to run synaptic etc. from a panel launcher using gksu.

Offline

#3 2018-01-25 15:22:49

sixsixfive
Member
From: behind you
Registered: 2012-04-08
Posts: 577
Website

Re: Cannot start programs which need a password.

i guess you need a polkit client:

eg: apt install mate-polkit-bin

settings>session/startup > autostart>add and add: mate-polkit

Offline

#4 2018-01-26 10:58:32

alcornoqui
Member
Registered: 2014-07-28
Posts: 143

Re: Cannot start programs which need a password.

Xubuntu 16.04 here. From the terminal, if I type

synaptic

a graphic dialog will warn me about opening without root privileges (and thus not being able to install or uninstall packages), then Synaptic will open.

However, if I type

synaptic-pkexec

, the usual, proper dialog for administrative actions will appear. this is the command used in the desktop file called by the menus and launchers.

Offline

Board footer

Powered by FluxBB